# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.DimensionJoinCondition

Packages that use DimensionJoinCondition
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of DimensionJoinCondition in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return DimensionJoinCondition
Modifier and Type
Method
Description
`static DimensionJoinCondition`
StructureFactory.`createDimensionJoinCondition()`
Creates an empty dimension join condition structure.
Methods in org.eclipse.birt.report.model.api with parameters of type DimensionJoinCondition
Modifier and Type
Method
Description
`DimensionJoinConditionHandle`
DimensionConditionHandle.`addJoinCondition(DimensionJoinCondition joinCondition)`
Gets the dimension join condition handle.
`void`
DimensionConditionHandle.`removeJoinCondition(DimensionJoinCondition joinCondition)`
Removes join condition from this dimension condition.